﻿using System.Runtime.Serialization;

namespace Models
{
    [DataContract]
    public record PreparationStep
    {
        [DataMember]
        public string Name { get; init; }
        [DataMember]
        public string Description { get; init; }

        public PreparationStep(string name, string description)
        {
            Name = name;
            Description = description;
        }
    }
}
