﻿using System.Runtime.Serialization;

namespace Models
{
    [DataContract]
    public class RecipeInfo
    {
        [DataMember]
        public string Name { get; init; }
        [DataMember]
        public uint CalPerPers { get; init; }
        [DataMember]
        public uint CookTimeMins { get; init; }
        [DataMember]
        public Uri? Image { get; init; }
        [DataMember]
        public float AverageNote { get; init; }
        [DataMember]
        public Guid Id { get; init; }

        public RecipeInfo(string name, uint calPerPers, uint cookTimeMins, Uri? image, float averageNote, Guid id)
        {
            Name = name;
            CalPerPers = calPerPers;
            CookTimeMins = cookTimeMins;
            Image = image;
            AverageNote = averageNote;
            Id = id;
        }
    }
}
